Subject: Re: git switch/restore, still experimental?

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 May 2021 10:39:28 +0900

Sergey Organov <[email-masked]> writes:

> Isn't --merge a different (and inferior) way to achieve what we already
> have elsewhere with --autostash? Does it make sense to get rid of --merge
> here in favor of --autostash?

Not really.

The "--autostash" might appear to be applicable to cases that can
induce larger conflict, but once the diversion gets larger than what
one comfortably can deal with "checkout -m", the user is better off
to work by forking a branch there and create a WIP commit, than deal
with the stash.  So if anything, I'd rather get rid of "--autostash"
than "-m", to help users get in a better work habit.